### Method

# Gimp Scanner parse_token

#### Declaration [src]

    gboolean
    gimp_scanner_parse_token (
      GimpScanner* scanner,
      GTokenType token
    )

#### Description

No description available.

Available since: | 2.4

#### Parameters

`token` | `GTokenType`
| The `GTokenType` expected as next token.

#### Return value

Returns: | `gboolean`
| `TRUE` if the next token is `token`, `FALSE` otherwise.